/***************************************************************************
 *   Copyright (C) 2004 by Thomas Hasart
 *   thasart@gmx.de
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version
 *
 ***************************************************************************/

#ifndef TPCONFIGCOMPILERPAGE_H
#define TPCONFIGCOMPILERPAGE_H

#include "tpconfigcompilerpagebase.h"
#include "trollprojectwidget.h"
#include "trollprojectconfig.h"

class TPConfigCompilerPage : public TPConfigCompilerPageBase
{
		Q_OBJECT

	public:
		TPConfigCompilerPage(TPConfigDialog *aDlg,QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
		~TPConfigCompilerPage();
		/*$PUBLIC_FUNCTIONS$*/
	public slots:
		/*$PUBLIC_SLOTS$*/
		void slotUpdateControls();
		void applyToConfig();

	protected:
		/*$PROTECTED_FUNCTIONS$*/

	protected slots:
		/*$PROTECTED_SLOTS$*/

	private:
		TPConfigDialog *myDialog;
};

#endif

