//
// C++ Implementation: 
//
// Description: 
//
//
// Author: KDevelop Authors <kdevelop-devel@kdevelop.org>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//


#include "tpconfigcorbapage.h"
#include <klineedit.h>
#include "tpconfigdialog.h"


//------------------------------------------------------------------------------------------------------------------------------------------
TPConfigCorbaPage::TPConfigCorbaPage(TPConfigDialog *aDlg,QWidget* parent, const char* name, WFlags fl)
: TPConfigCorbaPageBase(parent,name,fl)
{
	myDialog=aDlg;
	slotUpdateControls();
}

//------------------------------------------------------------------------------------------------------------------------------------------
TPConfigCorbaPage::~TPConfigCorbaPage()
{
}

//------------------------------------------------------------------------------------------------------------------------------------------
void TPConfigCorbaPage::slotUpdateControls( )
{
	myCompilerEdit->setText(myDialog->project()->configuration.idlc_command);
	myOutputEdit->setText(myDialog->project()->configuration.idlc_output);
}

//------------------------------------------------------------------------------------------------------------------------------------------
void TPConfigCorbaPage::applyToConfig( )
{
	myDialog->project()->configuration.idlc_command=myCompilerEdit->text();
	myDialog->project()->configuration.idlc_output=myOutputEdit->text();
}

/*$SPECIALIZATION$*/


#include "tpconfigcorbapage.moc"

