/***************************************************************************
 *   Copyright (C) 2004 by Thomas Hasart
 *   thasart@gmx.de
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version
 *
 ***************************************************************************/

#ifndef TPCONFIGDEPSPAGE_H
#define TPCONFIGDEPSPAGE_H

#include "tpconfigincludepagebase.h"
#include "trollprojectwidget.h"
#include "trollprojectconfig.h"
class TPConfigDialog;

class TPConfigDepsPage : public TPConfigIncludePageBase
{
		Q_OBJECT

	public:
		TPConfigDepsPage(TPConfigDialog *aItem,QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
		~TPConfigDepsPage();
		/*$PUBLIC_FUNCTIONS$*/

	public slots:
		/*$PUBLIC_SLOTS$*/
		void slotUpdateControls();
		void applyToConfig();
		void slotAddLibDep(TrollProjectItem*);

	protected:
		/*$PROTECTED_FUNCTIONS$*/
		void slotOutsideEdit();
		void slotOutsideAdd();

	protected slots:
		/*$PROTECTED_SLOTS$*/
		TPConfigDialog *myDialog;
};

#endif

