/***************************************************************************
 *   Copyright (C) 2004 by Thomas Hasart
 *   thasart@gmx.de
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version
 *
 ***************************************************************************/

#ifndef TPCONFIGINCLUDEPAGE_H
#define TPCONFIGINCLUDEPAGE_H

#include "tpconfigincludepagebase.h"
#include "trollprojectwidget.h"
#include "trollprojectconfig.h"

class TPConfigDialog;

class TPConfigIncludePage : public TPConfigIncludePageBase
{
		Q_OBJECT

	public:
		TPConfigIncludePage(TPConfigDialog *aDlg,QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
		~TPConfigIncludePage();
		/*$PUBLIC_FUNCTIONS$*/

	public slots:
		/*$PUBLIC_SLOTS$*/
		void slotUpdateControls();
		void applyToConfig();
	signals:
		void includeAdded(TrollProjectItem*);

	protected:
		/*$PROTECTED_FUNCTIONS$*/

	protected slots:
		void slotOutsideEdit();
		void slotOutsideAdd();
		void slotInsideListViewClicked( QListViewItem * aItem);

		/*$PROTECTED_SLOTS$*/
	private:
		TPConfigDialog *myDialog;
};

#endif

