/***************************************************************************
 *   Copyright (C) 2004 by Thomas Hasart
 *   thasart@gmx.de
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version
 *
 ***************************************************************************/

#ifndef TPCONFIGLIBPATHSPAGE_H
#define TPCONFIGLIBPATHSPAGE_H

#include "tpoutsidelistview.h"
#include "trollprojectwidget.h"
#include "trollprojectconfig.h"

class TPConfigDialog;

class TPConfigLibPathsPage : public TPOutsideListView
{
		Q_OBJECT

	public:
		TPConfigLibPathsPage(TPConfigDialog *aDlg,QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
		~TPConfigLibPathsPage();
		/*$PUBLIC_FUNCTIONS$*/

	public slots:
		/*$PUBLIC_SLOTS$*/
		void slotUpdateControls();
		void applyToConfig();

		void slotEdit();
		void slotAdd();

	protected:
		/*$PROTECTED_FUNCTIONS$*/

	protected slots:
		/*$PROTECTED_SLOTS$*/
	private:
		TPConfigDialog *myDialog;
};

#endif

