/***************************************************************************
 *   Copyright (C) 2003 by Thomas Hasart
 *   thasart@gmx.de
 *
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version
 *
 ***************************************************************************/
/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/


#include <knotifyclient.h>
#include <klistview.h>
void TPOutsideListView::slotAdd()
{
    add();
}


void TPOutsideListView::slotRemove()
{
delete myListView->currentItem();
}


void TPOutsideListView::slotEdit()
{
    edit();

}


void TPOutsideListView::slotUp()
{
    if (myListView->currentItem() == myListView->firstChild()) {
        KNotifyClient::beep();
        return;
    }

    QListViewItem *item = myListView->firstChild();
    while (item->nextSibling() != myListView->currentItem())
        item = item->nextSibling();
    item->moveItem(myListView->currentItem());

}


void TPOutsideListView::slotDown()
{
       if (myListView->currentItem() == 0 || myListView->currentItem()->nextSibling() == 0) {
        KNotifyClient::beep();
        return;
   }

   myListView->currentItem()->moveItem(myListView->currentItem()->nextSibling());


}



QListView* TPOutsideListView::listView()
{
    return(myListView);
}
